
		$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'./ajax/productos_factura.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

	function agregar (id)
	{   
		var id_producto_bonifica=document.getElementById('id_producto_bonifica_'+id).value;
		var precio_venta_producto=document.getElementById('precio_venta_producto_'+id).value;
		var precio_venta=document.getElementById('precio_venta_'+id).value;
		var cantidad=document.getElementById('cantidad_'+id).value;
		var costocliente=document.getElementById('costocliente_'+id).value;
		//Inicia validacion
		if (isNaN(cantidad))
		{
			alert('Esto no es un numero');
			document.getElementById('cantidad_'+id).focus();
			return false;
		}
		if (isNaN(precio_venta))
		{
			alert('Esto no es un numero');
			document.getElementById('precio_venta_'+id).focus();
			return false;
		}
		if (isNaN(costocliente))
		{
			alert('Esto no es un numero');
			document.getElementById('costocliente_'+id).focus();
			return false;
		}
		if (isNaN(precio_venta_producto))
		{
			alert('Esto no es un numero');
			document.getElementById('precio_venta_producto_'+id).focus();
			return false;
		}
		if (isNaN(id_producto_bonifica))
		{
			alert('Esto no es un numero');
			document.getElementById('id_producto_bonifica_'+id).focus();
			return false;
		}
		//Fin validacion
		
		$.ajax({
			type: "POST",
			url: "./ajax/agregar_facturacion.php",
			data: "id="+id+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&costocliente="+costocliente+"&precio_venta_producto="+precio_venta_producto+"&id_producto_bonifica="+id_producto_bonifica,
				beforeSend: function(objeto){
				$("#resultados").html("Mensaje: Cargando...");
				},
			success: function(datos){
			$("#resultados").html(datos);
			}
		});
	}
		
	function eliminar (id)
	{
		
		$.ajax({
			type: "GET",
			url: "./ajax/agregar_facturacion.php",
			data: "id="+id,
			beforeSend: function(objeto){
				$("#resultados").html("Mensaje: Cargando...");
			},
			success: function(datos){
			$("#resultados").html(datos);
			}
		});

	}
		
	$("#datos_factura").submit(function(){
		var id_cliente = $("#id_cliente").val();
		var id_mayorista = $("#id_mayorista").val();
		var condiciones = $("#condiciones").val();
		var observaciones = $("#observaciones").val();
		var comentarios = $("#comentarios").val();
		var condiciones2 = $("#condiciones2").val();
		var observaciones2 = $("#observaciones2").val();
		var zona = $("#zona").val();
		var user_id = $("#user_id").val();
		
		
		
		if (id_cliente===""){
			alert("Debes seleccionar un cliente");
			$("#nombre_cliente").focus();
			return false;
		}

		VentanaCentrada('./pdf/documentos/factura_pdf.php?id_cliente='+id_cliente+'&id_mayorista='+id_mayorista+'&condiciones='+condiciones+'&observaciones='+observaciones+'&comentarios='+comentarios+'&condiciones2='+condiciones2+'&observaciones2='+observaciones2+'&zona='+zona+'&user_id='+user_id,'Factura','','1024','768','true');
											
	});
		
		$( "#guardar_cliente" ).submit(function( event ) {
			$('#guardar_datos').attr("disabled", true);
		  
		    var parametros = $(this).serialize();
			$.ajax({
				type: "POST",
				url: "ajax/nuevo_cliente.php",
				data: parametros,
					beforeSend: function(objeto){
					$("#resultados_ajax").html("Mensaje: Cargando...");
					},
				success: function(datos){
				$("#resultados_ajax").html(datos);
				$('#guardar_datos').attr("disabled", false);
				load(1);
				}
			});

		  event.preventDefault();
		})
		
		$( "#guardar_producto" ).submit(function( event ) {
			$('#guardar_datos').attr("disabled", true);
		  
			var parametros = $(this).serialize();
				$.ajax({
					type: "POST",
					url: "ajax/nuevo_producto.php",
					data: parametros,
						beforeSend: function(objeto){
						$("#resultados_ajax_productos").html("Mensaje: Cargando...");
						},
					success: function(datos){
					$("#resultados_ajax_productos").html(datos);
					$('#guardar_datos').attr("disabled", false);
					load(1);
					}
			});
			event.preventDefault();
		})
